Add a command "clean" to bv_maker

22/10/2015 11:14 PM - Cointepas, Yann

Status: New Start date: 22/10/2015

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: brainvisa-cmake Estimated time: 0:00 hour

Target version: brainvisa-4.7 Spent time: 0:00 hour

Description

If used, this "clean" command would call bv_clean_build_tree after configuration and before build.

Associated revisions

Revision 69770 - 23/10/2015 10:29 PM - Riviere, Denis

don't clean commands in virtualenv build dirs in build -c, to avoid removing programs installed in bin/ by virtualenv

#13613

Revision 69770 - 23/10/2015 10:29 PM - Riviere, Denis

don't clean commands in virtualenv build dirs in build -c, to avoid removing programs installed in bin/ by virtualenv

#13613

History

#1 - 23/10/2015 02:05 AM - Riviere, Denis

It already exists ! (since last week or so...) in a slightly different shape: it's an option to the configure or build step (used before the selected step):

bv_maker configure -c

It exists in both steps because it is used a bit differently: before configure, obsolete commands are not removed because the commands list has not

been built yet, whereas it is done when used before the build step. But before configure it may be useful to fix a broken brainvisa-cmake.    

Would it be better (clearer) to make it a complete separate step ?

#2 - 26/09/2017 02:54 PM - Cointepas, Yann

- Target version set to brainvisa-4.6

#3 - 26/09/2017 03:05 PM - Riviere, Denis

- Target version changed from brainvisa-4.6 to brainvisa-4.7

#4 - 30/10/2018 12:15 PM - Riviere, Denis

- Category set to brainvisa-cmake
